import { C as a } from "../chunks/lib-cortex-element.CVMmyPMC.js";
import { c as l } from "../chunks/component.styles.CRO4Odto.js";
import { c as m } from "../chunks/custom-element.L4WJXn1j.js";
import { i as c, x as d } from "../chunks/lit-element.jLBm65_O.js";
const h = c`:host(:not(:focus-within)){clip:rect(0 0 0 0)!important;clip-path:inset(50%)!important;white-space:nowrap!important;border:none!important;width:1px!important;height:1px!important;padding:0!important;position:absolute!important;overflow:hidden!important}`;
var f = Object.getOwnPropertyDescriptor, u = (r, n, p, i) => {
  for (var t = i > 1 ? void 0 : i ? f(n, p) : n, o = r.length - 1, s; o >= 0; o--)
    (s = r[o]) && (t = s(t) || t);
  return t;
};
let e = class extends a {
  render() {
    return d`<slot></slot>`;
  }
};
e.styles = [l, h];
e = u([
  m("cx-visually-hidden")
], e);
export {
  e as default
};
